Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSConnectionConsumerMBean

public interface JMSConnectionConsumerMBean
extends ConfigurationMBean

This class defines a JMS connection consumer, which is a JMS destination (queue or topic) that retrieves server sessions and processes messages.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getDestination()` The JNDI name of the associated destination (queue or topic) for the connection consumer.
`int` | `getMessagesMaximum()` The maximum number of messages that the connection consumer can load at one time into a server session.
`java.lang.String` | `getSelector()` The JMS message selector for filtering the connection consumer's messages.
`void` | `setDestination(java.lang.String destination)` The JNDI name of the associated destination (queue or topic) for the connection consumer.
`void` | `setMessagesMaximum(int messagesMaximum)` The maximum number of messages that the connection consumer can load at one time into a server session.
`void` | `setSelector(java.lang.String selector)` The JMS message selector for filtering the connection consumer's messages.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getMessagesMaximum

    public int getMessagesMaximum()

  The maximum number of messages that the connection consumer can load at one time into a server session.

  Returns:
    The messagesMaximum value

### setMessagesMaximum

    public void setMessagesMaximum(int messagesMaximum)
                            throws javax.management.InvalidAttributeValueException

  The maximum number of messages that the connection consumer can load at one time into a server session.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: ((value == -1 ) || ((value >= 1) && (value <= ((1 << 31) -1))))
  Legal Minimum Value: -1
  Parameters:
    `messagesMaximum` - The new messagesMaximum value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSelector

    public java.lang.String getSelector()

  The JMS message selector for filtering the connection consumer's messages.

  Returns:
    The selector value

### setSelector

    public void setSelector(java.lang.String selector)
                     throws javax.management.InvalidAttributeValueException

  The JMS message selector for filtering the connection consumer's messages.

  Default Value: null
  Parameters:
    `selector` - The new selector value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDestination

    public java.lang.String getDestination()

  The JNDI name of the associated destination (queue or topic) for the connection consumer.

  Returns:
    The destination value

### setDestination

    public void setDestination(java.lang.String destination)
                        throws javax.management.InvalidAttributeValueException

  The JNDI name of the associated destination (queue or topic) for the connection consumer.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false
  Parameters:
    `destination` - The new destination value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD